import { api,LightningElement } from 'lwc';
import convert from '@salesforce/apex/SimpleConvertController.convert'

export default class GenerateDocument extends LightningElement {
    @api recordId;

    runDocConfig(){
        convert({recordId:this.recordId}).then((result)=>{
            const linkSource = `data:application/pdf;base64,${result.base64}`;
            const downloadLink = document.createElement("a");

            downloadLink.href = linkSource;
            downloadLink.download = result.title;
            downloadLink.click();
            downloadLink.remove();
        });
    }
}